## elixir 0.1.0

=== DESCRIPTION ===
Package: elixir
Type: Package
Title: Transmutation of Languages
Version: 0.1.0
Authors@R: person("Nicholas", "Davies", email = "nicholas.davies@lshtm.ac.uk", role = c("cre", "aut", "cph"), comment = c(ORCID = "0000-0002-1740-1412"))
Description: Tools for transforming 'R' expressions. Provides functions for 
 finding, extracting, and replacing patterns in 'R' language objects, similarly 
 to how regular expressions can be used to find, extract, and replace patterns 
 in text. Also provides functions for generating code using specially-formatted 
 template files and for translating 'R' expressions into similar expressions in 
 other programming languages. The package may be helpful for advanced uses of 
 'R' expressions, such as developing domain-specific languages.
URL: https://github.com/nicholasdavies/elixir,
        https://nicholasdavies.github.io/elixir/
BugReports: https://github.com/nicholasdavies/elixir/issues
License: MIT + file LICENSE
Encoding: UTF-8
Imports: methods, rlang, data.table, stringr, glue
Suggests: knitr, rmarkdown, testthat (>= 3.0.0)
RoxygenNote: 7.3.2
VignetteBuilder: knitr
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2025-09-19 10:55:15 UTC; nick
Author: Nicholas Davies [cre, aut, cph] (ORCID:
    <https://orcid.org/0000-0002-1740-1412>)
Maintainer: Nicholas Davies <nicholas.davies@lshtm.ac.uk>
Repository: CRAN
Date/Publication: 2025-09-24 08:20:07 UTC

## elixir 0.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: elixir
 Type: Package
 Title: Transmutation of Languages
-Version: 0.1.0
+Version: 0.1.1
 Authors@R: person("Nicholas", "Davies", email = "nicholas.davies@lshtm.ac.uk", role = c("cre", "aut", "cph"), comment = c(ORCID = "0000-0002-1740-1412"))
 Description: Tools for transforming 'R' expressions. Provides functions for 
  finding, extracting, and replacing patterns in 'R' language objects, similarly 
@@ -15,15 +15,15 @@
 BugReports: https://github.com/nicholasdavies/elixir/issues
 License: MIT + file LICENSE
 Encoding: UTF-8
-Imports: methods, rlang, data.table, stringr, glue
+Imports: rlang, stringr, glue
 Suggests: knitr, rmarkdown, testthat (>= 3.0.0)
 RoxygenNote: 7.3.2
 VignetteBuilder: knitr
 Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2025-09-19 10:55:15 UTC; nick
+Packaged: 2025-12-02 12:35:02 UTC; nick
 Author: Nicholas Davies [cre, aut, cph] (ORCID:
     <https://orcid.org/0000-0002-1740-1412>)
 Maintainer: Nicholas Davies <nicholas.davies@lshtm.ac.uk>
 Repository: CRAN
-Date/Publication: 2025-09-24 08:20:07 UTC
+Date/Publication: 2025-12-02 13:00:02 UTC

## elixir 0.7.1

=== debian/changelog ===
elixir (0.7.1-2) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Piotr Ożarowski ]
  * Add sa_0.9_compatibility.patch (closes: 739476)
  * Convert package to dh_python2 and pybuild buildsystem
  * Remove debian/preinst and debian/pycompat files, no longer needed
  * Change debhelper compatibility level to 9
  * Source format changed to 3.0 (quilt)
  * Bump Standards-Version to 3.9.5 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 02 Mar 2014 00:39:08 +0100

elixir (0.7.1-1) unstable; urgency=low

  * New upstream release
    - examples are no longer in the tarball
  * Convert package to dh sequencer
  * Bump Standards-Version to 3.8.4 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 28 Jan 2010 19:58:27 +0100

elixir (0.7.0-1) unstable; urgency=low

  * New upstream release
  * Convert to python-support
    - add preinst file to remove old .pyc files
  * Bump Standards-Version to 3.8.3 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 01 Oct 2009 20:49:56 +0200

elixir (0.6.1-2) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Piotr Ożarowski ]
  * Add ${misc:Depends} to Depends
  * Change Debian packaging license to MIT (to match upstream)
  * Upoad to unstable

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 22 Feb 2009 22:37:23 +0100

elixir (0.6.1-1) experimental; urgency=low

  * New upstream release
    (upload to experimental due to Lenny freeze, python-turbogears
     recommends this package)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 19 Aug 2008 00:34:37 +0200

elixir (0.6.0-1) unstable; urgency=medium

  * New upstream release
  * python-sqlalchemy's required version bumped to 0.4.0
  * Bump Standards-Version to 3.8.0 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 20 Jul 2008 23:34:01 +0200

elixir (0.5.2-1) unstable; urgency=low

  * New upstream release
  * debian/watch file updated (s/cheeseshop/pypi)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 28 Mar 2008 22:30:26 +0100

elixir (0.5.1-2) unstable; urgency=medium

  * No need to rename Egg dir name anymore as pycentral handles it now
    (Closes: #472036)
  * Move python-central to Build-Depends-Indep
  * Bumped python-central required version to 0.6 (new .py files location)
  * Strip the "-1" from setuptools' required build version (to ease backports)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 21 Mar 2008 21:10:19 +0100

elixir (0.5.1-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - fix Vcs-Browser field

  [ Piotr Ożarowski ]
  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 07 Feb 2008 20:15:12 +0100

elixir (0.5.0-1) unstable; urgency=low

  * New upstream release
  * Remove dont_install_example_files_in_site-packages patch (applied upstream)
  * Add python-crypto to Recommends (elixir.ext.encrypted plugin)
  * Bump Standards-Version to 3.7.3 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 16 Dec 2007 13:31:17 +0100

elixir (0.4.0-1) unstable; urgency=low

  * New upstream release
  * Add dont_install_example_files_in_site-packages patch
  * Bump python-sqlalchemy required version to 0.3.9
  * Homepage field added
  * Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now)
  * Remove useless Provides field

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 29 Oct 2007 21:09:13 +0100

elixir (0.3.0-1) unstable; urgency=low

  * New upstream release
  * Changed my address to piotr@debian.org

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 10 Apr 2007 15:52:41 +0200

elixir (0.2.0-1) unstable; urgency=low

  * Initial release. (Closes: #412218)

 -- Piotr Ozarowski <ozarow@gmail.com>  Wed, 28 Feb 2007 15:07:30 +0100

=== debian/control ===
Source: elixir
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Piotr Ożarowski <piotr@debian.org>, Gustavo Noronha Silva <kov@debian.org>
Build-Depends: debhelper (>= 9), dh-python, python-all (>= 2.3.5-11), python-setuptools (>= 0.6b3),
# tests:
 python-sqlalchemy, python-nose
Standards-Version: 3.9.5
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/elixir/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/elixir/trunk/
Homepage: http://elixir.ematia.de/
X-Python-Version: >= 2.4

Package: python-elixir
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Recommends: python-crypto
Description: declarative mapper for SQLAlchemy
 A declarative layer on top of SQLAlchemy. It is a fairly thin wrapper, which
 provides the ability to define model objects following the Active Record
 design pattern, and using a DSL syntax similar to that of the Ruby on Rails
 ActiveRecord system.
 .
 Elixir does not intend to replace SQLAlchemy's core features, but instead
 focuses on providing a simpler syntax for defining model objects when you do
 not need the full expressiveness of SQLAlchemy's manual mapper definitions.
 .
 Elixir is intended to replace the ActiveMapper SQLAlchemy extension, and the
 TurboEntity project.

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/E/Elixir/Elixir-(.*)\.tar\.gz debian uupdate
